Misleading error message when trying to install a rpm a second time using gnome-software.

Solution In Progress - Updated -

Issue

  • When a user tries to install a software that is already installed using gnome-software, they are getting error message:

    Sorry this did not work. Installation of xxx RPM failed. If the problem persists, contact your software provider.  
    Details:
    Detailed errors from the package manager follow: 
    
    failed to install packages: The package id's '' are not valid.
    

Environment

  • Red Hat Enterprise Linux 7.5
  • gnome-software-3.22.7-5.el7.x86_64

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In